Subject: Re: bug#37221: 27.0.50; gnus fails to open connection post-NSM update

From: Alex Branham <[email-masked]>
Date: Tue, 03 Sep 2019 13:26:27 -0500

On Mon 02 Sep 2019 at 11:33, Robert Pluim <[email-masked]> wrote:

>>>>>> On Thu, 29 Aug 2019 11:56:27 -0500, Alex Branham <[email-masked]> said:
>
>     Alex> Hi -
>     Alex> After the recent NSM update gnus fails to open my mail with this message:
>
>     Alex> Warning: Opening nnimap server on LocalMail...failed: ;
>     Alex> Unable to open server nnimap+LocalMail due to: Buffer
>     Alex> *nnimap localhost nil *nntpd** has no process
>
>     Alex> My setup is that I use mbsync/isync to download the mail and run dovecot
>     Alex> read the maildir and host it as an imap server. Since it's local it's
>     Alex> not encrypted. Setting network-security-protocol-checks to nil does not
>     Alex> change anything. I've only recently started using dovecot/gnus so it's
>     Alex> possible I've done something silly but it was working before the NSM
>     Alex> update (at commit ef8531d262081d91ecf2a4f349bc63a0fede90d4) and isn't
>     Alex> working as of 4b87169d113a151e5d9d6cf7b0d7cb4fb1d3d2d7.
>
> Can you show us your Gnus configuration? Also, what is your
> 'network-security-level' set to?

Sure thing, it's below. network-security-level is medium. If I do (setq
nsm-trust-local-network t) then all seems to work as expected.

Thanks,
Alex

(use-package gnus
  :defer
  :custom
  (gnus-home-directory (file-name-directory (expand-file-name "~/Sync/emacs/gnus/")))
  (gnus-save-killed-list nil)
  (gnus-save-newsrc-file nil)
  (gnus-group-line-format "%M%S%L%P     %y:%B%G\n")
  (gnus-thread-sort-functions '(gnus-thread-sort-by-most-recent-number))
  (gnus-summary-line-format "%U%R%z%&user-date; %-15,15f: %B%s%)\n")
  (gnus-user-date-format-alist '((t . "%Y-%m-%d %H:%M")))
  (gnus-sum-thread-tree-false-root "")
  (gnus-sum-thread-tree-indent " ")
  (gnus-sum-thread-tree-leaf-with-other "├► ")
  (gnus-sum-thread-tree-root "")
  (gnus-sum-thread-tree-single-leaf "╰► ")
  (gnus-sum-thread-tree-vertical "│")
  :init
  (setq gnus-select-method '(nnnil "")
        gnus-secondary-select-methods '((nnimap "LocalMail"
                                                (nnimap-address "localhost")
	                                        (nnimap-stream network))
                                        (nntp "gnus.user"
                                              (nntp-address "news.gmane.org"))))
  (defun my/email-update ()
    (make-process
     :name "mbsync" :buffer nil
     :command '("mbsync" "-a")
     :noquery t))
  (when (executable-find "mbsync")
    (run-with-timer 10 60 #'my/email-update))
  :config
  (setq gnus-parameters
        '((".*"
           (name "Alex Branham")
           (posting-style
            (address "[email-masked]")
            (x-message-smtp-method "smtp smtp.gmail.com 587 [email-masked]")))
          ("INBOX"
           (display . all))
           ;; <here's where my work email is configured>
          ("gmane"
           (auto-expire . t))))
  ;; can't be set in gnus-parameters:
  (setq gnus-permanently-visible-groups "INBOX")
  (setq gnus-treat-from-gravatar 'head)
  ;; discourage html
  (setq mm-discouraged-alternatives '("text/html" "text/richtext"))
  (setq gnus-message-archive-group nil)
  (use-package gnus-topic
    :hook (gnus-group-mode . gnus-topic-mode)))